- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties

# QColorDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qcolordialog.h.

`#include <qcolordialog.h>`

Inheritance diagram for QColorDialog:
[legend]

List of all members.

## Public Types
enum | ColorDialogOption { ShowAlphaChannel = 0x00000001, NoButtons = 0x00000002, DontUseNativeDialog = 0x00000004 }
## Signals
void | currentColorChanged (const QColor &color)
void | colorSelected (const QColor &color)
## Public Member Functions
| QColorDialog (QWidget *parent=0)
| QColorDialog (const QColor &initial, QWidget *parent=0)
| ~QColorDialog ()
void | setCurrentColor (const QColor &color)
QColor | currentColor () const
QColor | selectedColor () const
void | setOption (ColorDialogOption option, bool on=true)
bool | testOption (ColorDialogOption option) const
void | setOptions (ColorDialogOptions options)
ColorDialogOptions | options () const
void | open (QObject *receiver, const char *member)
void | setVisible (bool visible)
## Static Public Member Functions
static QColor | getColor (const QColor &initial, QWidget *parent, const QString &title, ColorDialogOptions options=0)
static QColor | getColor (const QColor &initial=Qt::white, QWidget *parent=0)
static QRgb | getRgba (QRgb rgba=0xffffffff, bool *ok=0, QWidget *parent=0)
static int | customCount ()
static QRgb | customColor (int index)
static void | setCustomColor (int index, QRgb color)
static void | setStandardColor (int index, QRgb color)
## Protected Member Functions
void | changeEvent (QEvent *event)
void | done (int result)
## Properties
QColor | currentColor
ColorDialogOptions | options

## Member Enumeration Documentation

enum ColorDialogOption

Search for all occurrences

Enumerator:

  ShowAlphaChannel | Search for all occurrences
  NoButtons | Search for all occurrences
  DontUseNativeDialog | Search for all occurrences

Definition at line 67 of file qcolordialog.h.

                               {
            ShowAlphaChannel    = 0x00000001,
            NoButtons           = 0x00000002,
            DontUseNativeDialog = 0x00000004
        };

## Constructor & Destructor Documentation

QColorDialog | ( | QWidget * | parent = `0` | ) | `[explicit]`

QColorDialog | ( | const QColor & | initial,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QColorDialog | ( |  | ) |

## Member Function Documentation

void setCurrentColor | ( | const QColor & | color | ) |

Search for all occurrences

QColor currentColor | ( |  | ) | const

Search for all occurrences

QColor selectedColor | ( |  | ) | const

Search for all occurrences

void setOption | ( | ColorDialogOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | ColorDialogOption | option | ) | const

Search for all occurrences

void setOptions | ( | ColorDialogOptions | options | ) |

Search for all occurrences

ColorDialogOptions options | ( |  | ) | const

Search for all occurrences

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

static QColor getColor | ( | const QColor & | initial,
|  | QWidget * | parent,
|  | const QString & | title,
|  | ColorDialogOptions | options = `0`
| ) |  | `[static]`

Search for all occurrences

static QColor getColor | ( | const QColor & | initial = `Qt::white`,
|  | QWidget * | parent = `0`
| ) |  | `[static]`

Search for all occurrences

static QRgb getRgba | ( | QRgb | rgba = `0xffffffff`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`
| ) |  | `[static]`

Search for all occurrences

static int customCount | ( |  | ) | `[static]`

Search for all occurrences

static QRgb customColor | ( | int | index | ) | `[static]`

Search for all occurrences

static void setCustomColor | ( | int | index,
|  | QRgb | color
| ) |  | `[static]`

Search for all occurrences

static void setStandardColor | ( | int | index,
|  | QRgb | color
| ) |  | `[static]`

Search for all occurrences

void currentColorChanged | ( | const QColor & | color | ) | `[signal]`

Search for all occurrences

void colorSelected | ( | const QColor & | color | ) | `[signal]`

Search for all occurrences

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void done | ( | int | result | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QDialog.

## Property Documentation

QColor currentColor `[read, write]`

Search for all occurrences

Definition at line 63 of file qcolordialog.h.

ColorDialogOptions options `[read, write]`

Search for all occurrences

Definition at line 64 of file qcolordialog.h.

The documentation for this class was generated from the following file:

- QtGui/qcolordialog.h

QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog
QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog QColorDialog